﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Data;
using System.Windows.Forms;

namespace QueryAnalyzerPlusPlugin
{
    public class MainClass
    {

        public enum DatabaseType
        {
            OleDB,
            SQLServer,
            SQLCe,
            SQLite
        }

        public MainClass(DataTable FieldsDT,int databaseType,string tableName)
        {
            //DatabaseType :
            //
            //0=MDB
            //1=SQLServer
            //2=SQLCe
            //3=SQLite
        

            try
            {
                string buff = "";

                foreach (DataRow dR in FieldsDT.Rows)
                {
                    buff += string.Format( "Field name : {0} Type : {1} Size : {2} \r\n", new object[] { dR[0].ToString(), dR[1].ToString(), dR[2].ToString()});
                }

                buff += string.Format("\r\n\r\nThe dbase system is {0} the tablename is {1}\r\n\r\nfrom Plugin!", (DatabaseType)databaseType, tableName);

                Clipboard.Clear();
                Clipboard.SetDataObject(buff, true);
                
                MessageBox.Show("Copied to clipboard!", "PlugIn");
            }
            catch (Exception e)
            {
                MessageBox.Show(e.Message, "PlugIn");
            }
        }
    }
}
