﻿using System.Data;
using System.Windows.Forms;

namespace QueryAnalyzerPlusPlugin
{
    public partial class MainForm : Form
    {
        public MainForm()
        {
            InitializeComponent();
        }

        public enum DatabaseType
        {
            OleDB,
            SQLServer,
            SQLCe,
            SQLite
        }

        public MainForm(DataTable FieldsDT, int databaseType,string tableName)
        {
            InitializeComponent();

            //DatabaseType :
            //
            //0=MDB
            //1=SQLServer
            //2=SQLCe
            //3=SQLite

            dataGridView1.DataSource = FieldsDT;

            label1.Text = ((DatabaseType)databaseType).ToString();
            label2.Text = tableName;
        }

    }
}
